> For the complete documentation index, see [llms.txt](https://docs.giga.store/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.giga.store/sdk-webhooks/activationrequest.md).

# Activation Request

To approve an eSIM activation via SDK, you need to implement this callback on your server. If the client is allowed to install an eSIM, a successful response is expected from our backend. Gigastore is sending the webhook as a POST request.

{% hint style="info" %}
Please provide your server URL to your Gigastore contact. \
Only **HTTPS** server URLs are allowed.&#x20;
{% endhint %}

### Request Parameters <a href="#request-parameters" id="request-parameters"></a>

| Attribute       | Type   | Example              | Info                                                                                                                                             |
| --------------- | ------ | -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| inventoryItemId | string | 1\_GB                | <p>The inventoryItemId from Gigastore<br>that you provided in <a href="/pages/-M_eMI_VyoAHlbfolQkP#activate-inventory-item">activateItem</a></p> |
| userToken       | string | USER\_TOKEN\_1234567 | <p>The userToken you provided<br> in <a href="/pages/-M_07lne979QSVHjfvPD#set-usertoken">setUserToken</a></p>                                    |
| metaTag         | string | myTag                | <p>The metaTag you provided in </p><p><a href="/pages/-M_eMI_VyoAHlbfolQkP#activate-inventory-item">activateItem</a> </p>                        |
| activationId    | string | 1e0da3933156         | A unique id provided for reference.                                                                                                              |

#### Sample Request

```
{
  "inventoryItemId": "1_GB",
  "userToken": "USER_TOKEN_1234567",
  "metaTag": myTag,
  "activationId": "1e0da3933156"
}
```

### Response Parameters <a href="#response-parameters" id="response-parameters"></a>

| Attribute         | Type   | Limitation          |
| ----------------- | ------ | ------------------- |
| **returnCode**    | string | "SUCCESS" or "FAIL" |
| **returnMessage** | string | -                   |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{"returnCode":"SUCCESS","returnMessage":null}
```

{% hint style="info" %}
Your server should always return 200.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.giga.store/sdk-webhooks/activationrequest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
